Bug 137427 - UI Picker is not showing by default on first launch of each module
Summary: UI Picker is not showing by default on first launch of each module
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: 117463
  Show dependency treegraph
 
Reported: 2020-10-12 13:58 UTC by V Stuart Foote
Modified: 2022-02-01 06:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2020-10-12 13:58:33 UTC
Not clear if this was not yet implemented, but as spec'd in bug 117463 on first launch of a module with a clean new profile, the UI picker was going to be presented.
Comment 1 Heiko Tietze 2020-10-12 14:13:18 UTC
I will not force showing the UI picker initially. The TotD is a compromise and if users don't take the advice it's pretty easy to do later (View > UI...). Point is that any initial "configure me", "start here", "do that" is odd. My (personal) take => WF.
Comment 2 V Stuart Foote 2020-10-12 14:38:37 UTC
I am of course fine with not forcing it either. Just filed the BZ as it was an agreed facet of the resolved fixed bug 117463  -- Stuart
Comment 3 John Mills 2020-10-13 08:30:39 UTC
Hello both,

Please carefully consider this decision, I think that would be better the dialogue is displayed on the first start. This is a dependency for bug report 117463.

As was said below by Stuart:

>I am of course fine with not forcing it either. Just filed the BZ as it was an >**agreed** facet of the resolved fixed bug 117463  -- Stuart

Why has this agreement now been removed? 

@Heiko:

>Point is that any initial "configure me", "start here", "do that" is odd. My >(personal) take 

Why is this now considered 'odd' and that it will not be implemented?

Kind regards,

John
Comment 4 Heiko Tietze 2022-01-31 16:21:57 UTC
The ticket is open for one year without interaction. Going to resolve WF now.

(In reply to John Mills from comment #3)
>>Point is that any initial "configure me", "start here", "do that" is odd.
> Why is this now considered 'odd' and that it will not be implemented?

It's a nagging dialog telling the user "before use start configure me". We have many places that needs user input. For example the user name is necessary to identify comments and track changes, of course, but also to store the last editing position, which is not so obvious. If we ask to enter all those information before the firtst use, it's going to be quite annoying. And I see no special need for the UI, rather the opposite.
Comment 5 John Mills 2022-01-31 20:29:09 UTC
Hi Heiko,

I hope that you are doing well? I just wanted to say I understand this decision, I disagree as I think it is not in the users benefit to not have this initial choice and I don't see the similarity to the statement in your comment and I don't think anyone would see this as a nag screen, but ultimately this is a decision for the design team.

I'll try and see if there is any areas that I can help out with and join the UX/design meeting in the future.

Kind regards,

John
Comment 6 Heiko Tietze 2022-02-01 06:49:17 UTC
(In reply to John Mills from comment #5)
> I disagree as I think it is not in the users benefit...

Thank you for accepting other opinions. If we find more users voting to have this start-up wizard thing I'll not block it. It's always possible to reopen a ticket.